Error while connecting to output node.

Error while connecting to output node.

Hi,

I am trying to implement video_stabilization code in openvx_sample in VAD. In the video_stablization directory there is sample_video_stabilization_user_guide.pdf. In the 6th page of that there is a graph for that. I trying to replicate the same in VAD.

When I am trying to connect the output of delay.object to the port 0 of optical_flow_pyr_lk I am getting following error.

p, li { white-space: pre-wrap; }

FGD:: Result: FGD_E_NOTFOUND

Operation: IFGDNode::SetRelativeNamespaceProperty

Message: Failed to set property value for port=0 name=HeightFormula node=org.khronos.openvx.optical_flow_pyr_lk

 

I have attached the graph also that I created. I am not able to understand this error can somebody helpme with this ?

 

 

12 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Are you using the latest R2 release?  Based on discussion with the team this is the first place to start.  R2 has fixes which could help.  

If you still see this for R2, could you send the .graphml to reproduce the issue?

 

Hi Jeffrey,

My VAD version is:

Intel(R) Vision Algorithm Designer - Version 0.3.0.520

I don't know whether it is R2 release. Please confirm me whether I need to get the latest VAD tool or not.

Hi,

I was not able to install latest R2 release in Ubuntu-14. It is showing unsupported OS.

But I was able to install it in Ubuntu-16.

 

 

 

When I am loading .graphml file to VAD I am getting following error:

 

 

Hi Deepak, 

It seems like you didn't install the needed dependencies and the OpenCL™ 2.0 GPU/CPU driver package for Linux* version 5.0 (SRB5). Here are the instructions of how to do it. 

Best wishes, 

Anna

 

Hi,

When tried to install new latest-R2 release on my Ubuntu-14, it was showing Unsupported OS (on the same PC I have installed the older release and is working fine). What could be the reason for this ?

The latest Intel(R) Computer Vision SDK release supports Ubuntu 16 instead of Ubuntu 14.

Best wishes, 

Anna

Hi Anna,

I have installed openCL driver packages and intel computer vision sdk, still I am getting above error.

"Error encountered while parsing graphml document".

(I was able to open graphml in the auto_contrast sample)

deepak@Desktop:/opt/intel/opencl$ uname -a
Linux Desktop 4.10.0-30-generic #34~16.04.1-Ubuntu SMP Wed Aug 2 02:13:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

 

 

"The error encountered while parsing GraphMLfile  Document"  was due to I was running the runvad.sh as follows:

sh runvad.sh

And runvad.sh contains source command. Which is not supported by /bin/dash, due to that some library paths are not exported (if we are running like sh runvad.sh).

If I am changing it to bash from the default dash, it is running correctly in ubuntu.

 

Problem in connecting output of the delay obect was resolved when I used new Intel Sdk Beta R2 release.

Hi,

Happy to hear.

 

Regards,

stav

Leave a Comment

Please sign in to add a comment. Not a member? Join today